Name: H5Punregister
Signature:
  herr_t `H5Punregister`( H5P_class_t `class`, const char *`name` )
Purpose:
  Removes a property from a property list class.
Description:
  `H5Punregister` removes a property from a property list class.

  Future property lists created of that class will not contain this property; existing property lists containing this property are not affected.

Parameters:

H5P_class_t `class` | IN: Property list class from which to remove permanent property
const char *`name` | IN: Name of property to remove

Returns:
  Success: a non-negative value
  Failure: a negative value
Fortran90 Interface: h5punregister_f

      SUBROUTINE h5punregister_f(class, name, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: class  ! Property list class identifier
        CHARACTER(LEN=*), INTENT(IN) :: name ! Name of property to remove
        INTEGER, INTENT(OUT) :: hdferr       ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5punregister_f